﻿<%@ Master Language="C#" AutoEventWireup="true" CodeBehind="Site.Master.cs" Inherits="Focus.Web.SiteMaster" %>

<%@ Register Src="~/Code/Controls/User/LogOut.ascx" TagName="LogOut" TagPrefix="uc" %>
<%@ Register Src="~/Code/Controls/User/ErrorModal.ascx" TagName="ErrorModal" TagPrefix="uc" %>
<%@ Register Src="~/Code/Controls/User/ChangeOfficeModal.ascx" TagName="ChangeOfficeModal" TagPrefix="uc" %>
<%@ Register Src="~/Code/Controls/BddModal.ascx" TagName="BddModal" TagPrefix="uc" %>
<%@ Register src="~/Code/Controls/AlertModal.ascx" tagname="AlertModal" tagprefix="uc" %>
<%@ Register Src="~/Code/Controls/User/PageLocalise.ascx" TagName="PageLocalise" TagPrefix="uc" %>
<%@ Import Namespace="Focus.Common" %>
<%@ Import Namespace="Focus.Common.Helpers" %>
<%@ Register TagPrefix="uc" Namespace="Focus.Web.Code.Controls" Assembly="Focus.Web" %>
<!DOCTYPE html>
<html class="no-js" lang="en">
<head id="Head1" runat="server">
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width,initial-scale=1.0,user-scalable=yes" />
	<meta http-equiv="X-UA-Compatible" content="IE=Edge">
	<!-- Prevent Skype from formatting phone numbers within the web page -->
	<meta name="SKYPE_TOOLBAR" content="SKYPE_TOOLBAR_PARSER_COMPATIBLE" />
	<title></title>
	<script src="<%# ResolveUrl("~/Assets/Scripts/modernizr.js") %>" type="text/javascript"></script>
	<link rel="shortcut icon" href="<%# ResolveUrl("~/Assets/Icons/favicon.ico") %>" type="image/x-icon" />
	<link href="<%# ResolveUrl("~/Assets/Css/tooltipster.css") %>" rel="stylesheet" type="text/css" />
	<link href="<%# CoreStylesheetUrl %>" rel="stylesheet" type="text/css" />
	<!-- device css start -->
	<!--[if gt IE 8]><!-->
	<link href="<%# DeviceStylesheetUrl %>" rel="stylesheet" type="text/css" />
	<!--<![endif]-->
	<!-- device css start -->
	<asp:Literal ID="FocusStyle" runat="server" />
	<script src="<%# ResolveUrl("~/Assets/Scripts/Focus.Init.js") %>" type="text/javascript"></script>
	<script src="<%# ResolveUrl("~/Assets/Scripts/jquery-1.9.1.min.js") %>" type="text/javascript"></script>
	<script src="<%# ResolveUrl("~/Assets/Scripts/jquery.infieldlabel.js") %>" type="text/javascript"></script>
	<script src="<%# ResolveUrl("~/Assets/Scripts/jquery.fileinput.js") %>" type="text/javascript"></script>
	<script src="<%# ResolveUrl("~/Assets/Scripts/jquery.fileinputinmodal.js") %>" type="text/javascript"></script>
	<script src="<%# ResolveUrl("~/Assets/Scripts/jquery.fieldselection.js") %>" type="text/javascript"></script>
	<script src="<%# ResolveUrl("~/Assets/Scripts/jquery-maskedinput-1.3.1.min.js") %>" type="text/javascript"></script>
	<script src="<%# ResolveUrl("~/Assets/Scripts/jquery.validate.js") %>" type="text/javascript"></script>
	<script src="<%# ResolveUrl("~/Assets/Scripts/jpicker-1.1.6.js") %>" type="text/javascript"></script>
	<script src="<%# ResolveUrl("~/Assets/Scripts/enhance.js") %>" type="text/javascript"></script>
	<script src="<%# ResolveUrl("~/Assets/Scripts/customSelect.jquery.js") %>" type="text/javascript"></script>
	<script src="<%# ResolveUrl("~/Assets/Scripts/jquery.tooltipster.min.js") %>" type="text/javascript"></script>
	<script src="<%# ResolveUrl("~/Assets/Scripts/accordion-menu.js") %>" type="text/javascript"></script>
	<script src="<%# UrlHelper.GetCacheBusterUrl("~/Assets/Scripts/site.js") %>" type="text/javascript"></script>
	<script src="<%# ResolveUrl("~/Assets/Scripts/jquery.selectBox.js") %>" type="text/javascript"></script>
	<script src="<%# ResolveUrl("~/Assets/Scripts/jquery.jqplot.min.js") %>" type="text/javascript"></script>
	<asp:ContentPlaceHolder ID="HeadContent" runat="server">
	</asp:ContentPlaceHolder>
    <link href="<%# ResolveUrl("~/Assets/Css/calendar.css") %>" rel="stylesheet" type="text/css"/>
	<!--[if lte IE 8]><link href="<%# ResolveUrl("~/Assets/Css/Focus.IE.css") %>" rel="stylesheet" type="text/css"/><![endif]-->
</head>
<!-- 
<%= DebugInfo %>
-->
<body>
	<a href="#" class="sr-only">Skip to main content</a>
	<form id="SiteForm" runat="server">
	<div id="wrap">
		<div class="page">
			<div id="header">
				<div id="headerTopWrap">
					<div id="headerTop">
						<div id="CustomHeader" runat="server">
						</div>
						<asp:Image ID="MainLogoImage" runat="server" alt="Focus Assist Main Logo" Width="198" Height="47" />
						<div id="toolbar">
							<asp:LoginView ID="HeadLoginView" runat="server" EnableViewState="false">
								<AnonymousTemplate>
									<div class="toolbarTopWrap">
									</div>
									<div class="clear">
									</div>
									<table class="toolbarBottom" role="presentation">
										<tr>
											<td>
												<div id="AnonymousControls">
													<% if( Page.IsNot( UrlBuilder.LogIn() ) && Page.IsNot( UrlBuilder.ForgottenPassword() ) )
								{ %>
													<asp:Literal runat="server" ID="LocaliseGlobalLoginText" /><a href="<%= UrlBuilder.LogIn() %>"><%= HtmlLocalise("Global.LogIn.Text.NoEdit", "Log in")%></a>
													<% } %>
												</div>
											</td>
										</tr>
									</table>
								</AnonymousTemplate>
								<LoggedInTemplate>
									<div class="toolbarTopWrap">
										<table class="toolbarTop" role="presentation">
											<tr>
												<td>
													<asp:Panel ID="speechbubblepanel" runat="server">
														<div id="UsernameSpeechBubblePanel" runat="server" class="usernameSpeechBubble">
															<span class="usernameSpeechBubbleTextFix">
																<asp:Literal ID="LoginPrefix1" runat="server">Hi,</asp:Literal>
																<asp:LoginName ID="LoginName1" runat="server" />
															</span><span class="usernameSpeechBubbleLeft"></span><span class="usernameSpeechBubbleRight"><span class="usernameSpeechBubbleText">
																<asp:Literal ID="LoginPrefix" runat="server">Hi, </asp:Literal><asp:LoginName ID="HeadLoginName" runat="server" />
															</span></span>
														</div>
													</asp:Panel>
												</td>
											</tr>
										</table>
									</div>
									<div class="clear">
									</div>
									<table class="toolbarBottom" role="presentation">
										<tr>
											<td>
												<div id="LoggedInControls">
													<asp:Panel ID="ChangeOfficeControl" runat="server" CssClass="accountsetting" Visible="false">
														<asp:LinkButton ID="ChangeOfficeLinkButton" runat="server" OnClick="ShowChangeOfficeModal"><%= HtmlLocalise("Global.ChangeOffice.Text", "Change office")%></asp:LinkButton>&nbsp;|&nbsp;
														<%--|&nbsp;<a href="<%= UrlBuilder.Help(IsAssist, HelpTypes.Help) %>"><%= HtmlLocalise("Global.Help.Text", "Help")%></a>--%>
													</asp:Panel>
													<asp:Panel ID="AccountSettingsControl" CssClass="accountsetting" runat="server">
														<asp:HyperLink runat="server" ID="AccountSettingsLink"></asp:HyperLink>&nbsp;|&nbsp;
														<%--<a href="<%= UrlBuilder.AccountSettings(IsAssist, (IsAssist ? DisableAssistAuthentication : DisableTalentAuthentication), DisableChangePassword) %>"><%= HtmlLocalise("Global.AccountSettings.LinkText", "Account settings")%></a>&nbsp;|&nbsp;--%>
													</asp:Panel>
													<asp:Panel ID="SignOutControl" runat="server" CssClass="accountsetting">
														<a href="#" onclick="javascript:$find('LogOutModal').show();">
															<%= HtmlLocalise("Global.LogOut.Text.NoEdit", "Sign out")%></a>&nbsp;
														<%--|&nbsp;<a href="<%= UrlBuilder.Help(IsAssist, HelpTypes.Help) %>"><%= HtmlLocalise("Global.Help.Text", "Help")%></a>--%>
													</asp:Panel>
												</div>
											</td>
										</tr>
									</table>
								</LoggedInTemplate>
							</asp:LoginView>
						</div>
					</div>
				</div>
				<asp:ContentPlaceHolder ID="HeaderContent" runat="server" />
			</div>
			<div id="navBottomBorder">
			</div>
			<div id="navShadowFix">
			</div>
				<%-- Ajax Script Manager --%>
				<act:ToolkitScriptManager ID="ScriptManagerMain" runat="server" EnableCdn="True" ScriptMode="Release" EnableScriptGlobalization="true" EnableScriptLocalization="true" />
				<%-- Ajax Update Progess Panel --%>
				<asp:UpdateProgress ID="UpdateProgressIndicator" runat="server" DisplayAfter="10">
					<ProgressTemplate>
					<div id="progressBackground">
						</div>
						<div class="updateprogress" role="status">
							<font size="6">&nbsp;&nbsp;&nbsp;Loading...</font>
						</div>
					</ProgressTemplate>
				</asp:UpdateProgress>
				<%-- Page Content --%>
				<asp:ContentPlaceHolder ID="MainContent" runat="server" />
			</div>
	</div>
	<asp:UpdatePanel ID="UpdatePanel1" runat="server">
		<ContentTemplate>
			<uc:BddModal ID="MasterBddModal" runat="server" ClientIDMode="AutoID" />
		</ContentTemplate>
	</asp:UpdatePanel>
	<div id="footer">
		<div id="CustomFooter" runat="server" style="width: 100%; text-align: center; margin-top: 10px;">
		</div>
		<table style="width: 100%;" role="presentation">
			<tr>
				<td id="footerLeft" style="white-space: nowrap">
					<span class='instructions'><i>
						<%= VersionInfo %></i></span>
				</td>
				<td id="footerMiddle">
					<asp:Panel runat="server" ID="FooterContent">
						<asp:Table runat="server" style="width: 100%;" role="presentation">
							<asp:TableRow runat="server">
								<asp:TableCell runat="server" ID="PrivacyHelpCell">
									<a href="<%= UrlBuilder.Help(IsAssist, PrivacyHelpType()) %>">
											<%= HtmlLocalise("Global.PrivacyAndSecurity.Text", "Privacy and Security")%></a>
								</asp:TableCell>
								<asp:TableCell runat="server" ID="FAQCell">
									<a href="<%= UrlBuilder.Help(IsAssist, FrequentlyAskedQuestionsHelpType()) %>">
											<%= HtmlLocalise("Global.FrequentlyAskedQuestions.Text", "FAQs")%></a>
								</asp:TableCell>
								<asp:TableCell runat="server" ID="TermsOfUseCell" style="white-space: nowrap; width: 25%" Visible="false">
									<a href="<%= UrlBuilder.Help(IsAssist, TermsOfUseHelpType()) %>">
										<%= HtmlLocalise("Global.TermsOfUse.Text", "Terms of Use")%></a>
								</asp:TableCell>
								<asp:TableCell runat="server" ID="TermsOfUseEmployerCell" style="white-space: nowrap; width: 35%" Visible="false">
									<a href="<%= UrlBuilder.Help(IsAssist, TermsOfUseHelpEmployerType()) %>">
										<%= HtmlLocalise("Global.TermsOfUseEmployer.Text", "Terms of Use - Employers")%></a>
								</asp:TableCell>
								<asp:TableCell runat="server" ID="TermsOfUseJobSeekerCell" style="white-space: nowrap; width: 38%" Visible="false">
									<a href="<%= UrlBuilder.Help(IsAssist, TermsOfUseHelpJobSeekerType()) %>">
										<%= HtmlLocalise( "Global.TermsOfUseJobSeeker.Text", "Terms of Use - Job Seekers" )%></a>
								</asp:TableCell>
                <asp:TableCell runat="server" ID="LegalNoticesCell" style="white-space: nowrap; width: 38%">
									<a runat="server" ID="LegalNoticesUrl">
										<%= HtmlLocalise( "Global.LegalNotices.Text", "Legal Notices" )%></a>
								</asp:TableCell>
							</asp:TableRow>
						</asp:Table>
					</asp:Panel>
				</td>
				<td id="footerRight" style="white-space: nowrap">
					<span id="footerCopyright">Copyright &copy;Burning Glass
						<%= DateTime.Now.Year.ToString()%></span>
					<asp:Image ID="FooterImage" runat="server" SkinID="FooterLogoImage" AlternateText="Footer Logo" />
				</td>
			</tr>
		</table>
	</div>
	<asp:HiddenField runat="server" ID="ReturnUrl" />
	<uc:LogOut ID="MainLogOut" runat="server" />
	<uc:ErrorModal ID="ErrorModal" runat="server" />
	<uc:ChangeOfficeModal ID="ChangeOffice" runat="server" />
	<uc:AlertModal ID="AlertModal" runat="server" />
	<asp:Panel runat="server" ID="LocalisePanel">
		<table style="width: 100%;" role="presentation">
			<tr>
				<td>
					<uc:PageLocalise ID="PageLocalise" runat="server" />
				</td>
			</tr>
		</table>
	</asp:Panel>
	</form>
	<script type="text/javascript">
		var prm = Sys.WebForms.PageRequestManager.getInstance();
		prm.add_initializeRequest(function () {
			setTimeout(function () {
				//$('#ImageProgress').focus();
				$('#updateprogress').attr('aria-hidden', false);
				$('.page').attr('aria-hidden', true);
				$('#ImageProgress').focus();

			}, 150);

			var updateProgress = $find('UpdateProgressIndicator');
			if (updateProgress != null) {
				prm.add_endRequest(function () {
					$('#updateprogress').attr('aria-hidden', true);
					$('.page').attr('aria-hidden', false);
				});
			}
		});
		
	</script>
</body>
</html>
